*{
    margin: 0;
    padding: 0;
    font-family: 'Scheherazade New', serif;
}

body{
    background-color: #f1f1f1;
}

.quizApp{
    width: 320px;
    height: 580px;
    position: absolute;
    top: 50%;
    left: 50%;
    background: #fff;
    box-shadow: rgb(0 0 0 / 10%) 0px 10px 50px;
    transform: translate(-50%,-50%);
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    border-radius: 48px;
    -webkit-border-radius: 48px;
    -moz-border-radius: 48px;
    -ms-border-radius: 48px;
    -o-border-radius: 48px;
}


.img{
    text-align: right;
}


.img img{
    width: 60%;
}

.text{
    width: 90%;
    margin: auto;
}

.text h3{
    padding-top: 20px;
}

.mybtn button{
    float: right;
    font-size: 20px;
    font-weight: 600;
    background-color: tomato;
    color: #fff;
    padding: 6px 25px;
    cursor: pointer;
    border: none;
    outline: none;
    margin-top: 3px;
    border-radius: 48px 0 48px 0;
    -webkit-border-radius: 57px 0 51px 0;
    -moz-border-radius: 48px 0 48px 0;
    -ms-border-radius: 48px 0 48px 0;
    -o-border-radius: 48px 0 48px 0;
    transition: 0.2s ease-out;
    -webkit-transition: 0.2s ease-out;
    -moz-transition: 0.2s ease-out;
    -ms-transition: 0.2s ease-out;
    -o-transition: 0.2s ease-out;
}

.mybtn button:hover{
    background-color: rgb(29,194,194);
}


/* Second Page / Rules Page */

.rulesbox{
    width: 320px;
    height: 580px;
    position: absolute;
    top: 50%;
    left: 50%;
    background: #fff;
    box-shadow: rgb(0 0 0 / 10%) 0px 10px 50px;
    transform: translate(-50%,-50%);
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    border-radius: 48px;
    -webkit-border-radius: 48px;
    -moz-border-radius: 48px;
    -ms-border-radius: 48px;
    -o-border-radius: 48px;
    opacity: 0;
    pointer-events: none;
}

.rulesbox.activeRules{
    opacity: 1;
    z-index: 5;
    pointer-events: auto;
    transform: translate(-50%,-50%) scale(1);
    -webkit-transform: translate(-50%,-50%) scale(1);
    -moz-transform: translate(-50%,-50%) scale(1);
    -ms-transform: translate(-50%,-50%) scale(1);
    -o-transform: translate(-50%,-50%) scale(1);
}


.rules-list{
    width: 80%;
    margin: auto;
}

.rules-list span{
    color: blue;
}

.rules-title{
    padding: 10px 0;
    border-bottom: 1px solid lightgray;
}

.rules-title h2{
    text-align: center;
    font-size: 20px;
}

.rules-list ol li{
    font-size: 18px;
    padding: 6px 0;
}

.rules-button button:nth-child(2) {
    float: left;
    border-radius: 0 48px 0 48px;
    -webkit-border-radius: 0 48px 0 48px;
    -moz-border-radius: 0 48px 0 48px;
    -ms-border-radius: 0 48px 0 48px;
    -o-border-radius: 0 48px 0 48px;
}


.rules-button button:nth-child(2):hover{
    background-color: red;
}

.rules-button button{
    margin-top: 35px;
}


/* Questions Page */

.questions{
    width: 320px;
    height: 580px;
    position: absolute;
    top: 50%;
    left: 50%;
    background: #fff;
    box-shadow: rgb(0 0 0 / 10%) 0px 10px 50px;
    transform: translate(-50%,-50%);
    -webkit-transform: translate(-50%,-50%);
    -moz-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    -o-transform: translate(-50%,-50%);
    border-radius: 48px;
    -webkit-border-radius: 48px;
    -moz-border-radius: 48px;
    -ms-border-radius: 48px;
    -o-border-radius: 48px;
    opacity: 0;
    pointer-events: none;
}

.questions.activeQues{
    opacity: 1;
    z-index: 5;
    pointer-events: auto;
    transform: translate(-50%,-50%) scale(1);
    -webkit-transform: translate(-50%,-50%) scale(1);
    -moz-transform: translate(-50%,-50%) scale(1);
    -ms-transform: translate(-50%,-50%) scale(1);
    -o-transform: translate(-50%,-50%) scale(1);
}


.questions-header{
    height: 70px;
    padding: 0 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.questions-header .q-title h2{
    font-size: 18px;
}

.time-count{
    color: #004085;
    background-color: #cce5ff;
    border: 1px solid #b8daff;
    height: 25px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    display: flex;
    align-items: center;
    width: 120px;
    justify-content: space-between;
}

.time-count .time-right{
    font-size: 18px;
    font-weight: 500;
    height: 26px;
    width: 45px;
    color: #fff;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    text-align: center;
    line-height: 26px;
    background-color: #343a40;
    user-select: none;
}

.time-line{
    position: absolute;
    height: 3px;
    bottom: 0;
    left: 0;
    background-color: #007bff;
}

.section{
    padding: 25px 30px 20px 30px;
}

.section h2{
    font-size: 25px;
    font-weight: 600;
}

.my-options{
    padding: 20px 0;
    display: block;
}

.my-options .option{
    background-color: aliceblue;
    border: 1px solid #84c5fe;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    padding: 8px 15px;
    font-size: 17px;
    margin-bottom: 12px;
    cursor: pointer;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.my-options .option:hover{
    color: #004085;
    background-color: #cce5ff;
    border: 1px solid #b8daff;
}

/* Footer */

footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 60px;
    border-top: 1px solid lightgray;
}

.total-question{
    padding-bottom: 10px;
    padding-left: 30px;
}

.next-button{
    font-size: 20px;
    font-weight: 600;
    background-color: tomato;
    color: #fff;
    padding: 6px 25px;
    cursor: pointer;
    border: none;
    outline: none;
    margin-top: 12px;
    border-radius: 48px 0 48px 0;
    -webkit-border-radius: 57px 0 51px 0;
    -moz-border-radius: 48px 0 48px 0;
    -ms-border-radius: 48px 0 48px 0;
    -o-border-radius: 48px 0 48px 0;
    transition: 0.2s ease-out;
    -webkit-transition: 0.2s ease-out;
    -moz-transition: 0.2s ease-out;
    -ms-transition: 0.2s ease-out;
    -o-transition: 0.2s ease-out;
    display: none;
}

.next-button:hover{
    background-color: rgb(29,194,194);
}

/* Change background for correct answer */
.option.correct {
    color: #155724;
    background: #d4edda;
    border: 1px solid #c3e6cb;
}

/* Change background for wrong answer */
.option.wrong {
    color: #721c24;
    background: #f8d7da;
    border: 1px solid #f5cbcb;
}

/*  */
.option.disabled{
    pointer-events: none;
}


.questions-header .time-line{
    position: absolute;
    height: 3px;
    left: 0;
    top: 12%;
    background: #007bff;
}

.result-box{
    height: 580px;
    width: 320px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scale(0.9);
    -webkit-transform: translate(-50%,-50%) scale(0.9);
    -moz-transform: translate(-50%,-50%) scale(0.9);
    -ms-transform: translate(-50%,-50%) scale(0.9);
    -o-transform: translate(-50%,-50%) scale(0.9);
    display: flex;
    background: #fff;
    border-radius: 45px;
    -webkit-border-radius: 45px;
    -moz-border-radius: 45px;
    -ms-border-radius: 45px;
    -o-border-radius: 45px;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    transition: all 0.3s ease;
    -webkit-transition:;
    -moz-transition:;
    -ms-transition:;
    -o-transition:;
    opacity: 0;
    pointer-events: none;
}

.activeResult{
    opacity: 1;
    pointer-events: auto;
    transform: translate(-50%,-50%) scale(1);
    -webkit-transform: translate(-50%,-50%) scale(1);
    -moz-transform: translate(-50%,-50%) scale(1);
    -ms-transform: translate(-50%,-50%) scale(1);
    -o-transform: translate(-50%,-50%) scale(1);
}

.result-img img{
    width: 100%;
    height: 170px;
    margin-bottom: 150px;
}

.complete-text{
    font-size: 25px;
    font-weight: 600;
}

.score-text span{
    display: flex;
    font-size: 18px;
    font-weight: 500;
}

.score-text span p{
    padding: 0 4px;
    font-weight: 600;
    color: tomato;
}

.result-buttons{
    display: flex;
    margin: 20px 0;
}

.result-buttons button{
    margin: 0 10px;
    height: 45px;
    padding: 0 20px;
    font-size: 18px;
    cursor: pointer;
    border: none;
    outline: none;
    border-radius: 25px;
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    -ms-border-radius: 25px;
    -o-border-radius: 25px;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

.restart1{
    background: tomato;
    color: #fff;
}

.restart1:hover{
    background: rgb(29,194,194);
}

.quit{
    background: tomato;
    color: #fff;
}

.quit:hover{
    background: indianred;
}

/* Responsive */
@media only screen and (max-width: 768px) {
    .mybtn .start-button{
        margin-top: -3px;
    }

    .rules-button button{
        margin-top: 40px;
    }

}